package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"sapstructurefield"}
)
@XmlRootElement(
   name = "SAPSTRUCTURE"
)
public class SAPSTRUCTURE {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlElement(
      name = "SAPSTRUCTUREFIELD"
   )
   protected List<SAPSTRUCTUREFIELD> sapstructurefield;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public List<SAPSTRUCTUREFIELD> getSAPSTRUCTUREFIELD() {
      if (this.sapstructurefield == null) {
         this.sapstructurefield = new ArrayList();
      }

      return this.sapstructurefield;
   }
}
